Bug 855561 - Review Request: mediawiki119-RSS - Displays one or more RSS feeds on a wiki page
Review Request: mediawiki119-RSS - Displays one or more RSS feeds on a wiki page
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-08 19:25 EDT by Patrick Uiterwijk
Modified: 2012-12-20 10:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:55:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pwouters: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrick Uiterwijk 2012-09-08 19:25:31 EDT
Spec URL: http://puiterwijk.fedorapeople.org/packages/mediawiki-RSS/mediawiki119-RSS.spec
SRPM URL: http://puiterwijk.fedorapeople.org/packages/mediawiki-RSS/mediawiki119-RSS-2.16-1.fc17.src.rpm
Fedora Account System Username: puiterwijk
Description:
The RSS extension displays one or more RSS feeds
on a wiki page in a standard or user-definable format.
Since version 2.00, the extension is also compatible
with wiki-page-generated feeds (RSS or ATOM).
Comment 1 Patrick Uiterwijk 2012-09-09 06:11:10 EDT
Successful build on Koji for el6 (where this package is meant for): http://koji.fedoraproject.org/koji/taskinfo?taskID=4469330
Comment 2 Paul Wouters 2012-09-09 15:41:39 EDT
I'll take it
Comment 3 Paul Wouters 2012-09-09 18:10:16 EDT
Since you're not packaging for epel5, please cleanup the items from fedora-review that suggest to only do them when packaging also for epel5.

One question i have is if you should use %dir to own the directory you install in, besides specifying it to glob all its files. I think it does not automatically means you take ownership of the directory.


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)

[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: MUST Package must own all directories that it creates.
     It does not use %dir to own it? I think it should?
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL5
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[-]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX tarball generation or download is documented.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (RSS-MW1.19-110218.tar.gz)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.

Issues:
[!]: MUST Package installs properly.
     Note: Installation errors (see attachment)
See: https://fedoraproject.org/wiki/Packaging:Guidelines
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames

Installation errors
-------------------

mock failed on fedora due to this package being epel6 only. Tested
seperately on rhel6/epel6

--------
mediawiki119-RSS-2.16-1.fc17.noarch.rpm (rpmlib, GLIBC filtered):

    /bin/sh
    mediawiki119

Provides
--------
mediawiki119-RSS-2.16-1.fc17.noarch.rpm:

    mediawiki119-RSS = 2.16-1.fc17

MD5-sum check
-------------
http://upload.wikimedia.org/ext-dist/RSS-MW1.19-110218.tar.gz :
  CHECKSUM(SHA256) this package     : 270ae16fc258d1c843f345334c1e05e18df199998f20e0f56f64b35fc575c157
  CHECKSUM(SHA256) upstream package : 270ae16fc258d1c843f345334c1e05e18df199998f20e0f56f64b35fc575c157


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 855561
External plugins:
Comment 4 Patrick Uiterwijk 2012-09-10 08:18:43 EDT
I have removed the EL5 parts and added the license.

The %dir is only required for root directories which the package should own, but should not own all the files inside.
For example %{_libdir}/clean for the clean package: it does have folders that it should own, but other packages like clean-mersennetwister also add their own files to that directory.

New Spec URL: http://puiterwijk.fedorapeople.org/packages/mediawiki-RSS/mediawiki119-RSS.spec
New SRPM URL: http://puiterwijk.fedorapeople.org/packages/mediawiki-RSS/mediawiki119-RSS-2.16-3.fc17.src.rpm
Comment 5 Paul Wouters 2012-09-10 10:47:07 EDT
So who owns %{_datadir}/mediawiki119/extensions/RSS  ?

I thought this package needed to own that?
Comment 6 Paul Wouters 2012-09-10 11:04:38 EDT
indeed, as per https://fedoraproject.org/wiki/Packaging:UnownedDirectories

APPROVED
Comment 7 Patrick Uiterwijk 2012-09-10 11:06:45 EDT
New Package SCM Request
=======================
Package Name: mediawiki119-RSS
Short Description: Displays one or more RSS feeds on a wiki page
Owners: puiterwijk
Branches: el6
InitialCC:
Comment 8 Gwyn Ciesla 2012-09-10 11:23:38 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-09-10 15:44:29 EDT
mediawiki119-RSS-2.16-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mediawiki119-RSS-2.16-3.el6
Comment 10 Patrick Uiterwijk 2012-09-10 17:59:31 EDT
Package Change Request
======================
Package Name: mediawiki119-RSS
New Branches: f18
Owners: puiterwijk

It has been decided to make mediawiki119* available on f18 too.
Comment 11 Gwyn Ciesla 2012-09-10 20:37:50 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2012-09-12 15:27:53 EDT
mediawiki119-RSS-2.16-3.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 13 Fedora Update System 2012-12-20 10:55:21 EST
mediawiki119-RSS-2.16-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.